<?php

/*******************************************************************************
    α׷ : http_user_agent ̿ client os web brower üũ
           : navyism
           : 2002.3.18
    e-mail       : navyism@navyism.com
    homepage     : http://navyism.com
*******************************************************************************/
//------------------------------------------------------------------------------
//  os  Լ
//------------------------------------------------------------------------------
function set_OS($os, $array)
{
	for ($i = 0; $i < sizeof($array); $i++) {
		$j = $i + 1;
		if (eregi($os, $array[$i]) && eregi("^[0-9]{1,2}([\.]{1}[0-9]{1,2})*[a-z]{0,1}$", $array[$j])) {
			return $array[$j];
		}
	}
}
//------------------------------------------------------------------------------
//  browser  Լ
//------------------------------------------------------------------------------
function set_Browser($br, $array)
{
	for ($i = 0; $i < sizeof($array); $i++) {
		$j = $i + 1;
		if (eregi($br, $array[$i]) && eregi("^[0-9]{1,2}([\.]{1}[0-9]{1,2})*[a-z]{0,1}$", $array[$j])) {
			return $array[$j];
		}
	}
}
//------------------------------------------------------------------------------
//  os browser üũϴ Լ
//------------------------------------------------------------------------------
function check_Agent($temp)
{
	$temp = ereg_replace("/([ 0-9\.\])*%/", "", $temp);
	$temp = trim(preg_replace("/(-|_|=|\+|;)/", " ", $temp));
	$array = explode(" ", $temp);

	if (eregi("([a-z])+/", $array[0])) {
		$br_version_temp = explode("/", $array[0]);
		$br_version = $br_version_temp[1];

		if (eregi("Win|Window", $temp)) {
			$agent[0] = 'Windows';
			if (ereg("s 3\.1|n3\.1", $temp)) $agent[1] = '3.1';
			elseif (ereg("s 95|n95", $temp)) $agent[1] = '95';
			elseif (ereg("s 98|n98", $temp)) $agent[1] = '98';
			elseif (ereg("s ME|nME", $temp)) $agent[1] = 'ME';
			elseif (ereg("s NT|nNT", $temp)) {
				if (eregi("T 5\.0| 2000", $temp)) $agent[1] = '2000';
				elseif (eregi("T 5\.1| XP", $temp)) $agent[1] = 'XP';
				else $agent[1] = 'NT';
			}
			else $agent[1] = 'Unknown';
		}
		elseif (eregi("Linux", $temp)) {
			$agent[0] = 'Linux';
			$agent[1] = set_OS('Linux', $array);
		}
		elseif (eregi("Mac PowerPC|PPC", $temp)) {
			$agent[0] = 'Mac PowerPC';
			$agent[1] = set_OS('Mac PowerPC', $array);
		}
		elseif (eregi("Mac", $temp)) {
			$agent[0] = 'Mac';
			$agent[1] = set_OS('Mac', $array);
		}
		elseif (eregi("IRIX", $temp)) {
			$agent[0] = 'IRIX';
			$agent[1] = set_OS('IRIX', $array);
		}
		elseif (eregi("sunOS", $temp)) {
			$agent[0] = 'sunOS';
			$agent[1] = set_OS('sunOS', $array);
		}
		elseif (eregi("phone", $temp)) {
			$agent[0] = 'CellPhone';
			$agent[1] = set_OS('phone', $array);
		}
		else {
			$agent[0] = 'Unknown';
		}
//------------------------------------------------------------------------------
		if (eregi("MSIE", $temp)) {
			$agent[2] = 'MSIE';
			$agent[3] = set_Browser('MSIE', $array);
		}
		elseif (eregi("(\[){1}[a-z]{1,3}(\]){1}", $temp) && eregi("\]", $temp)) {
			$agent[2] = 'Netscape'; 
			$agent[3] = $br_version; 
		}
		elseif (eregi("MSN", $temp)) {
			$agent[2] = 'MSN';
			$agent[3] = set_Browser('MSN', $array);
		}
		elseif (eregi("opera", $temp)) {
			$agent[2] = 'Opera';
			$agent[3] = set_Browser('opera', $array);
		}
		elseif (eregi("gec|gecko", $temp)) {
			$agent[2] = 'Gecko';
			$agent[3] = set_Browser('Gecko', $array);
		}
		elseif (eregi("MSMB", $temp)) {
			$agent[2] = 'MSMB';
		}
		else {
			$agent[2] = 'Unknown';
		}
	}
	return $agent;
}

?>
