<?php

function Regno_Check($reg_no1, $reg_no2)
{
	$Reg_No = $reg_no1 . $reg_no2; 

	// ˻ :  13ڸ , 7° 1..4   
	if (!ereg('^[[:digit:]]{6}[1-4][[:digit:]]{6}$', $Reg_No)) return false;

	//¥ ȿ ˻ 
	$Birth_Year = ($Reg_No[6] <= '2') ? '19' : '20'; 
	$Birth_Year .= substr($Reg_No, 0, 2); 
	$Birth_Month = substr($Reg_No, 2, 2); 
	$Birth_Date = substr($Reg_No, 4, 2); 
	if (!checkdate($Birth_Month, $Birth_Date, $Birth_Year)) return false;

	//Checksum ڵ ȿ ˻ 
	for ($i = 0; $i < 13; $i++) $buf[$i] = (int) $Reg_No[$i]; 
	$Multiply = array (2,3,4,5,6,7,8,9,2,3,4,5); 
	for ($i = $sum = 0; $i < 12; $i++) $sum += ($buf[$i] *= $Multiply[$i]); 
	if ((11 - ($sum % 11)) % 10 != $buf[12]) return false; 

	// ˻縦 ϸ ȿ ֹεϹȣ 
	return true; 
}

?>